# General

When using the MSRTK system, it records a variety of data from different sources/sensors and stores it all in a singe file within a zip archive. The RecordExtractor command line tool can be used to extract this data into several files, one for each channel of data recorded. It will also extract the ANAVS.conf file and store it in the same directory. This tool is helpful when the recorded data is needed for further analysis in post-processing. 

# Usage: 
From command line: 
`java -jar RecordExtractor.jar -i <inputfilepath< [-o <outputfilepath>]` in the directory of the RecordExtractor.jar file 

## Arguments

* `inputfilepath`: Required. The path of the zip archive containing the data to extract. 

* `outputfilepath`: Optional. The path of the directory where the extracted data should be stored. If the directory doesn't exist, it will be created. If this argument is omitted, the tool will store the extracted data in the same directory as the source zip-file. 

# Output

Currently the tool will be able to name the output files correctly if the port number of the fragment in the input file is one of the following: 

| port number | corresponding filename |
| :---:       | :----:                 |
| 4007        | "LOGcan.ubx"           |
| 4001        | "LOGrover0.ubx"        |
| 4002        | "LOGrover1.ubx"        | 
| 4003        | "LOGrover2.ubx"        |
| 2102        | "LOGvrs.osr"           |
| 6001        | "PAD_solution.bin"     |
| 5003        | "maintenance.log"      |
| 5004        | "navigation.log"       |
| 5005        | "recorder.log"         |
| 4000        | "driver.log"           |

If the tool comes across any other port number during extraction it will name the file according to the port number and store the contents as a `.bin` file. 
